Subject: Re: [PATCH net-next 1/2] tipc: fix excessive network event logging

From: Erik Hugne <[email-masked]>
Date: Fri, 23 Jan 2015 07:44:30 +0100

On Thu, Jan 22, 2015 at 09:24:47AM -0800, Joe Perches wrote:
> On Thu, 2015-01-22 at 17:10 +0100, [email-masked] wrote:
> > From: Erik Hugne <[email-masked]>
> > 
> > If a large number of namespaces is spawned on a node and TIPC is
> > enabled in each of these, the excessive printk tracing of network
> > events will cause the system to grind down to a near halt.
> > The traces are still of debug value, so instead of removing them
> > completely we fix it by changing the link state and node availability
> > logging debug traces.
> 
> Maybe some of these should be net_<level>_ratelimited(fmt, ...)

We proposed that initially, but changed all to pr_debug after David's comment:
http://www.spinics.net/lists/netdev/msg312902.html
The topology information (links going up/down) can be accessed
both via netlink ('tipc link list' command) and the topology server
via a subscription API.

//E